@EXTRACT
     # extract video from source
# Implicitly it's @ffm here for videos, @dng for raw folders
#   @dcraw
#      -W +M -q 3 -H 0 -n 200 -b 1 -o 0
# OR
#   @ffm
#      hqdn3d=luma_spatial=4
   
   # @gm
   # @im
   # @gmic

   # @im
   # ADDLUT is added automatically for extract 

# LUT PHASE
# Note that with @HISTO and @AUTOCOLOR we just generate LUTs
@HISTO  # only color options here!
   @gm
      LUT BMLUTX
      # -strip # do nothing; just convert
      # LEVELS 0,100,1 0,100,1 0,100,1

@AUTOCOLOR # only color options here!
   @im # gm currently does not work with LEVELS
   # -modulate 100,90
   # LEVELS M,M,1 M,M,1 M,M,1 # M means Maximum/Minumum Values of ALL channels; A means Maximum/Minimum Values of each channel (extra)
   LEVELS A,A,1 A,A,1 A,A,1
  
   # here, automatically, the LUTS are applied to generate a colorpreview

@PREVIEW
#   @ffm
#   unsharp=lx=3:ly=3:la=1.3:cx=3:cy=3:ca=0.6
   @im
   -channel Luminosity -unsharp 0x0.8+2.5+0.06 -channel Saturation -unsharp 0x1.2+0.8+0.06

@FINAL
   @ffm
   # DESHAKE
   hqdn3d=luma_spatial=4   

@EXIT # nothing is processed after this

